Bug 601976 - libksba-devel multilib conflict
libksba-devel multilib conflict
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libksba (Show other bugs)
17
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 19:46 EDT by Philippe Troin
Modified: 2013-08-01 14:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: libksba-1.0.8-3.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:32:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2010-06-08 19:46:20 EDT
Description of problem:

yum install libksba-devel.{i686,x86_64}

yields:

Transaction Check Error:
  file /usr/bin/ksba-config from install of libksba-devel-1.0.7-1.fc13.i686 conflicts with file from package libksba-devel-1.0.7-1.fc13.x86_64

Version-Release number of selected component (if applicable):

libksba-devel-1.0.7-1.fc13
Comment 1 Bug Zapper 2011-06-02 07:31:28 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Rex Dieter 2011-06-02 09:17:44 EDT
:( confirmed we still have problems in f15.

Looks like my previous attempt to fix this was a fail.
Comment 3 Šimon Lukašík 2012-02-01 09:26:13 EST
This issue has been fixed in Rawhide (and consequently F16) by Rex Dieter in:

    cc33fea970b4002759b179e4f0f725b6c50aa450

I'll backport it to Fedora 15.
Comment 4 Fedora Update System 2012-02-02 05:08:41 EST
libksba-1.0.8-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libksba-1.0.8-3.fc15
Comment 5 Fedora Update System 2012-02-02 12:25:45 EST
Package libksba-1.0.8-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libksba-1.0.8-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1184/libksba-1.0.8-3.fc15
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-02-10 17:01:56 EST
libksba-1.0.8-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Philippe Troin 2012-06-12 19:19:36 EDT
Reintroduced in F17:

# yum install libksba-devel-1.2.0-2.fc17.i686
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Resolving Dependencies
--> Running transaction check
---> Package libksba-devel.i686 0:1.2.0-2.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package               Arch         Version                Repository      Size
================================================================================
Installing:
 libksba-devel         i686         1.2.0-2.fc17           fedora          40 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 40 k
Installed size: 55 k
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/bin/ksba-config from install of libksba-devel-1.2.0-2.fc17.i686 conflicts with file from package libksba-devel-1.2.0-2.fc17.x86_64

Error Summary
-------------

[2]    12409 exit 1     noglob yum install libksba-devel-1.2.0-2.fc17.i686
Comment 8 Rex Dieter 2012-06-13 13:33:20 EDT
It's this new line in /usr/bin/ksba-config:


my_host="x86_64-redhat-linux-gnu"


Not sure of the reasoning or wisdom behind this.  I'd be tempted to simply remove it.
Comment 9 Tomas Mraz 2012-06-13 14:54:43 EDT
It's output with the --host option. But I agree that its usefulness is questional.
Comment 10 Fedora End Of Life 2013-07-04 02:53:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-08-01 14:32:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.